<%@ Page language="c#" Codebehind="ActiveDirectoryDomains.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.ActiveDirectoryDomains" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<ihawu:masterpage id="masterPage" runat="server">

<custom:NewDialog runat="server" Caption="Active Directory Domains" id="DomainsDialog">
<thycotic:DataGrid runat="server" id="DomainsDataGrid">
	<Columns>
		<asp:TemplateColumn SortExpression="DomainName" HeaderText="Domain">
			<ItemTemplate>
				<thycotic:HyperLink runat="server" id="DomainHyperLink" />
			</ItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn SortExpression="Active" HeaderText="Active">
			<ItemTemplate>
				<thycotic:Label runat="server" id="EnabledLabel" />
			</ItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn HeaderText="Online">
			<ItemTemplate>
				<thycotic:Label runat="server" id="OnlineLabel" />
			</ItemTemplate>
		</asp:TemplateColumn>
	</Columns>
</thycotic:DataGrid>
<p class="Note" runat="server" id="ActiveDirectoryIntegrationIsOff" Visible="false">
<img src="images/alert.gif" border="0" />
<thycotic:label runat="server" id="ActiveDirectoryIntegrationLabel" text="Active Directory integration is currently turned off." />
<asp:HyperLink runat="server" id="ActiveDirectoryConfigurationHyperLink" NavigateUrl="~/ConfigurationActiveDirectory.aspx" Text="Configure Active Directory" />
</p>
<br />
<thycotic:Button id="BackButton" runat="server" Text="Back" />
<thycotic:Button id="CreateNewButton" runat="server" Text="Create New" />
</custom:NewDialog>

</ihawu:masterpage>
